Save a validated immutable cut.md version
Save a validated immutable cut.md version. Durable editable image and video projects. Source versions use optimistic concurrency and can be opened in Studio. Required API key scopes: `projects:write`.
Authorization
apiKeyAuth Path Parameters
Resource identifier
Header Parameters
Exact current project version. Required for overwriting mutations unless the numeric body version is supplied for compatibility.
^"?[0-9]+"?$Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v2/projects/string/cut" \ -H "If-Match: "1"" \ -H "Content-Type: application/json" \ -d '{ "markdown": "string" }'{ "success": true, "data": { "id": "cut_01J", "projectId": "project_01J", "cutVersion": 1, "projectVersion": 3, "schemaVersion": "jsoncut.cut/1", "status": "draft", "document": { "frontmatter": { "cut": "jsoncut.cut/1", "id": "launch-cut", "name": "Launch cut", "status": "draft", "scope": "project", "kind": "video", "intent": {}, "output": {}, "governance": {}, "style": {}, "media": {}, "quality": {}, "technical": {} }, "body": "" }, "validation": { "ok": true, "findings": [] }, "resolvedReferences": [], "createdAt": "2026-08-25T09:00:00.000Z", "updatedAt": "2026-08-25T09:00:00.000Z" }}Get the latest immutable cut.md version GET
Get the latest immutable cut.md version. Durable editable image and video projects. Source versions use optimistic concurrency and can be opened in Studio. Required API key scopes: `projects:read`.
Validate cut.md without saving it POST
Validate cut.md without saving it. Durable editable image and video projects. Source versions use optimistic concurrency and can be opened in Studio. Required API key scopes: `projects:read`.